package se.paxport.yggejonssoncrazysnake;

import org.junit.Before;
import org.junit.Test;
import se.citerus.crazysnake.Movement;

public class Paxport_PreferMultipleFruits_UnitTest extends AbstractPaxportTest {

    private static final String[] BOARD = new String[]{
            "#####################",
            "#...................#",
            "#..........bcdefgh..#",
            "#..@..@@...a..@.....#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#...................#",
            "#.....@......@......#",
            "#...................#",
            "#..........ABCDEFGH.#",
            "#####################",
    };

    @Before
    public void setUp() throws Exception {
        initBoard(BOARD);
    }

    @Test
    public void preferFruitsWithOtherFruitsClose() throws Exception {
        setupSnakes();

        assertMovement(Movement.RIGHT);
    }
}
