package se.paxport.yggejonssoncrazysnake;

import org.junit.Before;
import org.junit.Test;
import se.citerus.crazysnake.Movement;

public class Paxport_Seed_Minus1074285868_StrangeIgnoreOfCloseFruit_UnitTest extends AbstractPaxportTest {

    private static final String[] BOARD = new String[]{
            "##################################################",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#........................................A.......#",
            "#........................................B.......#",
            "#........................................C.......#",
            "#........................................D.......#",
            "#........................................E.......#",
            "#........................................F.......#",
            "#........................................G.......#",
            "#.@......................................HIJKLMNO#",
            "#...............................................P#",
            "#...............................................Q#",
            "#...............................................R#",
            "#...............................................S#",
            "#...............................................T#",
            "#...............................................U#",
            "#...............................................V#",
            "#...............................................W#",
            "#...............................................X#",
            "#...............................................Y#",
            "#...............................................Z#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#.............@..................................#",
            "#...............a................................#",
            "#...............b................................#",
            "#............z..c................................#",
            "#............y..d................................#",
            "#............x..e..................@.............#",
            "#............w..f................................#",
            "#............v..g................................#",
            "#............u..h................................#",
            "#............t..i................................#",
            "#............s..j................................#",
            "#............r..k................................#",
            "#............q..l................................#",
            "#............ponm................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "#................................................#",
            "##################################################",
    };

    @Before
    public void setUp() throws Exception {
        initBoard(BOARD);
    }

    @Test
    public void givenPossibilityToBlockOpponentThenDoSo() throws Exception {
        setupSnakes();

        assertMovement(Movement.LEFT, Movement.FORWARD);
    }
}
