package se.paxport.yggejonssoncrazysnake.util;

import se.citerus.crazysnake.BrainId;
import se.citerus.crazysnake.Direction;
import se.citerus.crazysnake.Position;
import se.citerus.crazysnake.Snake;

public class SnakeImpl implements Snake {

    private final BrainId braindId;
    private int length, score;
    private Position position;
    private Direction direction;
    private String name;

    public SnakeImpl(BrainId braindId) {
        this.braindId = braindId;
    }

    public void setLength(int length) {
        this.length = length;
    }

    public void setScore(int score) {
        this.score = score;
    }

    public void setPosition(Position position) {
        this.position = position;
    }

    public void setDirection(Direction direction) {
        this.direction = direction;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getLength() {
        return length;
    }

    public Position getHeadPosition() {
        return position;
    }

    public Direction getDirection() {
        return direction;
    }

    public String getName() {
        return name;
    }

    public BrainId getId() {
        return braindId;
    }

    public int getScore() {
        return score;
    }
}
