package se.paxport.yggejonssoncrazysnake;

import org.junit.Before;
import org.junit.Test;
import se.citerus.crazysnake.Movement;

public class Paxport_BoxInCorner_UnitTest extends AbstractPaxportTest {

    private static final String[] BOARD = new String[]{
            "####################",
            "#........jihgfedc..#",
            "#...............b.A#",
            "#...............a.B#",
            "#.................C#",
            "#.................D#",
            "#.................E#",
            "#.................F#",
            "#.................G#",
            "#.................H#",
            "#.................I#",
            "#.................J#",
            "#..................#",
            "####################",
    };

    @Before
    public void setUp() throws Exception {
        initBoard(BOARD);
    }

    @Test
    public void givenPossibilityToBlockOpponentThenDoSo() throws Exception {
        setupSnakes();

        assertMovement(Movement.LEFT);
    }
}
