package se.paxport.yggejonssoncrazysnake;

import org.junit.Before;
import org.junit.Test;
import se.citerus.crazysnake.Movement;

public class Paxport_KillInTwoSteps_UnitTest extends AbstractPaxportTest {

    private static final String[] BOARD = new String[]{
            "#####################",
            "#...................#",
            "#...................#",
            "#..@.............@..#",
            "#......@............#",
            "#...................#",
            "#..............cba..#",
            "#....@.........dBA..#",
            "#..............eC...#",
            "#........lkjihgfDEFG#",
            "#..................H#",
            "#..................I#",
            "#.....@......@.....J#",
            "#..................K#",
            "#..................L#",
            "#####################",
    };

    @Before
    public void setUp() throws Exception {
        initBoard(BOARD);
    }

    @Test
    public void givenPossibilityToBlockOpponentThenDoSo() throws Exception {
        setupSnakes();

        assertMovement(Movement.FORWARD);
    }
}
